Skip to main content
GET
/
traffic
/
policy
/
profiles
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const trafficPolicyProfile = await client.trafficPolicyProfiles.retrieve(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);

console.log(trafficPolicyProfile.data);
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "traffic_policy_profile",
    "type": "whitelist",
    "services": [
      "service_123",
      "service_456"
    ],
    "ip_ranges": [
      "10.64.0.0/24",
      "10.64.0.0/25"
    ],
    "domains": [
      "www.hbomax.com",
      "netflix.com"
    ],
    "limit_bw_kbps": 512,
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Identifies the traffic policy profile.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Response

Successful Response

data
object